Link Search Menu Expand Document

Building Your App

🔥NOTE: At the time of this writing, the Studio plug-in for Unity is in beta and under development. The information here is subject to change.

In order to build your Unity project such that the Lofelt Haptics will work, the following steps should be added to your normal build process.

Build for iOS

  1. Select File > Build Settings… from the Unity toolbar. The Build Settings window will open.

  2. At the bottom-left corner of the window, click the “Player Settings” button. This will open a Project Settings window as shown:

    Project Settings Window

  3. Click the triangle to expand the “Other Settings” menu.

  4. Scroll down and ensure “Allow ‘unsafe’ Code” is checked as shown:

    Check "Allow unsafe code"

🔥NOTE: This step of allowing unsafe code will not be needed in a future release.

Build for Android

  1. Select File > Build Settings… from the Unity toolbar. The Build Settings window will open.

  2. At the bottom-left corner of the window, click the “Player Settings” button. This will open a Project Settings window as shown:

    Project Settings Window

  3. Click the triangle to expand the “Other Settings” menu.

  4. Scroll down to the “Minimum API Level” option and select “Android 8.0 ‘Oreo’ (API Level 26)”:

    Select Minimum API Level 26

< Prev Next >


Copyright © 2020-2021 Lofelt GmbH. All rights reserved.